Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageIterateFilter Class Reference

`#include <vtkImageIterateFilter.h>`

Inheritance diagram for vtkImageIterateFilter:

[legend]
Collaboration diagram for vtkImageIterateFilter:

[legend]
List of all members.

## Detailed Description

Multiple executes per update.

Date:
  2002/01/22 15:32:49

Revision:
  1.32

vtkImageIterateFilter is a filter superclass that supports calling execute multiple times per update. The largest hack/open issue is that the input and output caches are temporarily changed to "fool" the subclasses. I believe the correct solution is to pass the in and out cache to the subclasses methods as arguments. Now the data is passes. Can the caches be passed, and data retrieved from the cache?

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (89%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageIterateFilter.h)`
  - .`cxx` (`/Imaging/vtkImageIterateFilter.cxx)`

Definition at line 46 of file vtkImageIterateFilter.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | ComputeInputUpdateExtent (int[6], int[6])
virtual int | GetIteration ()
virtual int | GetNumberOfIterations ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageIterateFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageIterateFilter ()
| ~vtkImageIterateFilter ()
void | ExecuteInformation ()
virtual void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteData (vtkDataObject *output)
virtual void | IterativeExecuteData (vtkImageData *in, vtkImageData *out)=0
virtual void | AllocateOutputScalars (vtkImageData *outData)
virtual void | SetNumberOfIterations (int num)
vtkImageData * | GetIterationInput ()
vtkImageData * | GetIterationOutput ()
## Protected Attributes
int | NumberOfIterations
int | Iteration
vtkImageData ** | IterationData

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageIterateFilter::Superclass

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D. Definition at line 49 of file vtkImageIterateFilter.h.

## Constructor & Destructor Documentation

vtkImageIterateFilter::vtkImageIterateFilter | ( |  | ) | `[protected]`

vtkImageIterateFilter::~vtkImageIterateFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageIterateFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

int vtkImageIterateFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

virtual int vtkImageIterateFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

vtkImageIterateFilter* vtkImageIterateFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

void vtkImageIterateFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageDecomposeFilter, vtkImageEuclideanDistance, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

virtual int vtkImageIterateFilter::GetIteration | ( |  | ) | `[virtual]`

| Get which iteration is current being performed. Normally the user will not access this method.

virtual int vtkImageIterateFilter::GetNumberOfIterations | ( |  | ) | `[virtual]`

| Get which iteration is current being performed. Normally the user will not access this method.

void vtkImageIterateFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkImageToImageFilter.

void vtkImageIterateFilter::ComputeInputUpdateExtent | ( | int | [6],
|  | int | [6]
| ) | `[inline, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D. Definition at line 61 of file vtkImageIterateFilter.h.

void vtkImageIterateFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageEuclideanDistance, vtkImageFFT, vtkImageRFFT, and vtkImageSeparableConvolution. Referenced by vtkImageSeparableConvolution::ExecuteInformation(), vtkImageRFFT::ExecuteInformation(), vtkImageFFT::ExecuteInformation(), and vtkImageEuclideanDistance::ExecuteInformation().

virtual void vtkImageIterateFilter::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageEuclideanDistance, vtkImageFFT, vtkImageRFFT, and vtkImageSeparableConvolution.

void vtkImageIterateFilter::ExecuteData | ( | vtkDataObject * | output | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

virtual void vtkImageIterateFilter::IterativeExecuteData | ( | vtkImageData * | in,
|  | vtkImageData * | out
| ) | `[protected, pure virtual]`

| Implemented in vtkImageCityBlockDistance, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageRFFT, vtkImageSeparableConvolution, and vtkImageSkeleton2D.

virtual void vtkImageIterateFilter::AllocateOutputScalars | ( | vtkImageData * | outData | ) | `[protected, virtual]`

| Reimplemented in vtkImageCityBlockDistance, and vtkImageEuclideanDistance.

virtual void vtkImageIterateFilter::SetNumberOfIterations | ( | int | num | ) | `[protected, virtual]`

| Reimplemented in vtkImageSkeleton2D.

vtkImageData* vtkImageIterateFilter::GetIterationInput | ( |  | ) | `[protected]`

vtkImageData* vtkImageIterateFilter::GetIterationOutput | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkImageIterateFilter::NumberOfIterations`[protected]`

| Definition at line 89 of file vtkImageIterateFilter.h.

int vtkImageIterateFilter::Iteration`[protected]`

| Definition at line 90 of file vtkImageIterateFilter.h.

vtkImageData** vtkImageIterateFilter::IterationData`[protected]`

| Definition at line 93 of file vtkImageIterateFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageIterateFilter.h